libsidplayfp::DisconnectedBusBank Class Referencefinal

`#include <DisconnectedBusBank.h>`

Inheritance diagram for libsidplayfp::DisconnectedBusBank:

## Public Member Functions

| DisconnectedBusBank (PLA &pla)
void | poke (uint_least16_t, uint8_t) override
uint8_t | peek (uint_least16_t) override

## Detailed Description

IO1/IO2

memory mapped registers or machine code routines of optional external devices.

I/O Area #1 located at $DE00-$DEFF

I/O Area #2 located at $DF00-$DFFF

## Member Function Documentation

## peek()

uint8_t libsidplayfp::DisconnectedBusBank::peek | ( | uint_least16_t |  | ) |

inline override virtual

No device is connected so this should return the value left on the bus.

Implements libsidplayfp::Bank.

## poke()

void libsidplayfp::DisconnectedBusBank::poke | ( | uint_least16_t | ,
|  | uint8_t | )

inline override virtual

No device is connected so this is a no-op.

Implements libsidplayfp::Bank.

The documentation for this class was generated from the following file:

- DisconnectedBusBank.h